# `gcr.io/tanzu-buildpacks/java`

The Tanzu Java Buildpack is a Cloud Native Buildpack with an order definition suitable for Java applications.

## Included Buildpacks

* [`paketo-buildpacks/apache-tomcat`](https://github.com/paketo-buildpacks/apache-tomcat)
* [`paketo-buildpacks/apache-tomee`](https://github.com/paketo-buildpacks/apache-tomee)
* [`paketo-buildpacks/azure-application-insights`](https://github.com/paketo-buildpacks/azure-application-insights)
* [`tanzu-buildpacks/tanzu-bellsoft-liberica`](https://github.com/pivotal-cf/tanzu-bellsoft-liberica)
* [`paketo-buildpacks/ca-certificates`](https://github.com/paketo-buildpacks/ca-certificates)
* [`paketo-buildpacks/clojure-tools`](https://github.com/paketo-buildpacks/clojure-tools)
* [`paketo-buildpacks/dist-zip`](https://github.com/paketo-buildpacks/dist-zip)
* [`paketo-buildpacks/datadog`](https://github.com/paketo-buildpacks/datadog)
* [`paketo-buildpacks/encrypt-at-rest`](https://github.com/paketo-buildpacks/encrypt-at-rest)
* [`paketo-buildpacks/environment-variables`](https://github.com/paketo-buildpacks/environment-variables)
* [`paketo-buildpacks/executable-jar`](https://github.com/paketo-buildpacks/executable-jar)
* [`paketo-buildpacks/google-stackdriver`](https://github.com/paketo-buildpacks/google-stackdriver)
* [`paketo-buildpacks/gradle`](https://github.com/paketo-buildpacks/gradle)
* [`paketo-buildpacks/image-labels`](https://github.com/paketo-buildpacks/image-labels)
* [`paketo-buildpacks/jattach`](https://github.com/paketo-buildpacks/jattach)
* [`paketo-buildpacks/java-memory-assistant`](https://github.com/paketo-buildpacks/java-memory-assistant)
* [`paketo-buildpacks/leiningen`](https://github.com/paketo-buildpacks/leiningen)
* [`paketo-buildpacks/liberty`](https://github.com/paketo-buildpacks/liberty)
* [`paketo-buildpacks/maven`](https://github.com/paketo-buildpacks/maven)
* [`paketo-buildpacks/node-engine`](https://github.com/paketo-buildpacks/node-engine)
* [`paketo-buildpacks/procfile`](https://github.com/paketo-buildpacks/procfile)
* [`paketo-buildpacks/sbt`](https://github.com/paketo-buildpacks/sbt)
* [`paketo-buildpacks/spring-boot`](https://github.com/paketo-buildpacks/spring-boot)
* [`paketo-buildpacks/syft`](https://github.com/paketo-buildpacks/syft)
* [`paketo-buildpacks/watchexec`](https://github.com/paketo-buildpacks/watchexec)
* [`paketo-buildpacks/yarn`](https://github.com/paketo-buildpacks/yarn)
* [`paketo-buildpacks/apache-skywalking`](https://github.com/paketo-buildpacks/apache-skywalking)
* [`paketo-buildpacks/appdynamics`](https://github.com/paketo-buildpacks/appdynamics)
* [`tanzu-buildpacks/aspectj`](https://github.com/pivotal-cf/tanzu-aspectj)
* [`paketo-buildpacks/aternity`](https://github.com/paketo-buildpacks/aternity)
* [`tanzu-buildpacks/checkmarx`](https://github.com/pivotal-cf/tanzu-checkmarx)
* [`tanzu-buildpacks/contrast-security`](https://github.com/pivotal-cf/tanzu-contrast-security)
* [`paketo-buildpacks/dynatrace`](https://github.com/paketo-buildpacks/dynatrace)
* [`paketo-buildpacks/elastic-apm`](https://github.com/paketo-buildpacks/elastic-apm)
* [`tanzu-buildpacks/jacoco`](https://github.com/pivotal-cf/tanzu-jacoco)
* [`paketo-buildpacks/jprofiler`](https://github.com/paketo-buildpacks/jprofiler)
* [`tanzu-buildpacks/jrebel`](https://github.com/pivotal-cf/tanzu-jrebel)
* [`tanzu-buildpacks/luna-security-provider`](https://github.com/pivotal-cf/tanzu-luna-security-provider)
* [`paketo-buildpacks/new-relic`](https://github.com/paketo-buildpacks/new-relic)
* [`tanzu-buildpacks/overops`](https://github.com/pivotal-cf/tanzu-overops)
* [`tanzu-buildpacks/snyk`](https://github.com/pivotal-cf/tanzu-snyk)
* [`tanzu-buildpacks/synopsys`](https://github.com/pivotal-cf/tanzu-synopsys)
* [`tanzu-buildpacks/yourkit`](https://github.com/pivotal-cf/tanzu-yourkit)

## License

```
Copyright 2018-2022, VMware, Inc. All Rights Reserved.
Proprietary and Confidential.
Unauthorized use, copying or distribution of this source code via any medium is strictly prohibited without the express written consent of VMware, Inc.
```
